Package: packer
Version: 0.10.1+dfsg-1
Severity: serious
Justification: fails to build from source (but built successfully in the past)

Packer currently (recently 0.10.2+dfsg-1) fails to build on s390x:

<cut>
   dh_auto_build -O--buildsystem=golang
        cd obj-s390x-linux-gnu
        go install -v -p 1
dh_auto_build: go install -v -p 1 died with signal 4
        cd /<<BUILDDIR>>/packer-0.10.2+dfsg
debian/rules:6: recipe for target 'build' failed
make: *** [build] Error 255
dpkg-buildpackage: error: debian/rules build gave error exit status 2
<cut>

This is a regression from 0.10.1+dfsg-1 [1] (the build on 2016-10-16 [2] failed
for a dependency reason which is solved in the meanwhile, see #841605 [3]).

[1] https://buildd.debian.org/status/logs.php?pkg=packer&arch=s390x

[2] 
https://buildd.debian.org/status/fetch.php?pkg=packer&arch=s390x&ver=0.10.1%2Bdfsg-1&stamp=1476596269

[3] https://bugs.debian.org/841605 (packer: FTBFS: 
src/github.com/Azure/go-autorest/autorest/azure/token.go:140: undefined: 
jwt.MapClaims)

I can reproduce this locally in a qemu-chroot for Sbuild, however a test build 
on
the zelenka porterbox succeeded:

<cut>
{...}
dpkg-deb: building package 'golang-github-mitchellh-packer-dev' in 
'../golang-github-mitchellh-packer-dev_0.10.2+dfsg-1_all.deb'.
dpkg-deb: building package 'packer' in '../packer_0.10.2+dfsg-1_s390x.deb'.
 dpkg-genbuildinfo
dpkg-genbuildinfo: warning: File::FcntlLock not available; using flock which is 
not NFS-safe
 dpkg-genchanges  >../packer_0.10.2+dfsg-1_s390x.changes
dpkg-genchanges: info: including full source code in upload
 dpkg-source --after-build packer-0.10.2+dfsg
dpkg-buildpackage: info: full upload (original source is included)
(sid_s390x-dchroot)stender@zelenka:~/sandbox/packer-0.10.2+dfsg$
</cut>

Thanks for hints,
DS

-- System Information:
Debian Release: stretch/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 4.7.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages packer depends on:
ii  libc6  2.24-5

Versions of packages packer recommends:
pn  docker.io  <none>
ii  qemu       1:2.7+dfsg-3+b1

Versions of packages packer suggests:
ii  ansible  2.1.1.0-1
pn  chef     <none>

-- no debconf information

_______________________________________________
Pkg-go-maintainers mailing list
Pkg-go-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-go-maintainers

Reply via email to